!!======================================================================

  SUBROUTINE suborder



!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE flx_cd  ***
!&E
!&E ** Purpose : classification of substances by type
!&E
!&E ** Description : type of variable can be dissolved, with settling
!&E                  velocity, fixed, driving or intermediate
!&E
!&E ** Called by :
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays :
!&E
!&E ** Modified variables :
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E       !  2006-07  (B. Thouvenin)  Original code
!&E
!&E---------------------------------------------------------------------
!! * Modules used
   USE parameters
   USE comsubstance

   IMPLICIT NONE

   INTEGER                       ::  it,isubs,ntypvar

   it=1
! il y a actuellement 9 types de variables rangés dans l ordre suivant :
! GRAV (1), SAND(2), MUDS+PART(3), NoCP(4), SORB(5), DISS(6), FIXE(7), DRIV(8), INTE(9)
   DO ntypvar=1,9
     DO isubs=1,nv_tot
       IF (itypv_r(isubs) == ntypvar) THEN
         irk_mod(isubs)=it
         irk_fil(it)=isubs
         it=it+1
       END IF
     END DO     
   END DO     



  END SUBROUTINE suborder
